List campaign templates
curl --request GET \
--url https://api.callaro.ai/api/v1/campaign_templates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/campaign_templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/campaign_templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"items": [
{
"id": "<string>",
"name": "<string>",
"agent_id": "<string>",
"agent_name": "<string>",
"from_phone_number_id": "<string>",
"telephony_connection_id": "<string>",
"max_retries": "<string>",
"concurrency_limit": 123,
"call_windows": "<string>",
"timezone": "<string>",
"metadata": {},
"created_at": "<string>"
}
]
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}CampaignTemplates
List campaign templates
From api/v1/campaign_templates#index in voice_saas_api. Fields come from that action’s strong params / params usage.
GET
/
api
/
v1
/
campaign_templates
List campaign templates
curl --request GET \
--url https://api.callaro.ai/api/v1/campaign_templates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/campaign_templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/campaign_templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"items": [
{
"id": "<string>",
"name": "<string>",
"agent_id": "<string>",
"agent_name": "<string>",
"from_phone_number_id": "<string>",
"telephony_connection_id": "<string>",
"max_retries": "<string>",
"concurrency_limit": 123,
"call_windows": "<string>",
"timezone": "<string>",
"metadata": {},
"created_at": "<string>"
}
]
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Was this page helpful?